<script setup lang="ts">

</script>

<template>
  <CdsContainer>
    <CdsContainerItem>
      <nav class="nav">
        <div class="row">
          <CdsLink>
            <RouterLink to="/widget">Widget</RouterLink>
          </CdsLink>
          <CdsLink>
            <RouterLink to="/modal-iframe">Modal iframe</RouterLink>
          </CdsLink>
          <CdsLink>
            <RouterLink to="/modal-import">Modal includes</RouterLink>
          </CdsLink>
        </div>
      </nav>
    </CdsContainerItem>
  </CdsContainer>

</template>
<style lang="scss" scoped>
.cds-link {
  color: var(--cds-color-text-inverse);
  text-decoration: none;
  border-bottom: none;

  &:visited:not([href^='#']) {
    color: var(--cds-color-text-inverse);
  }

  &:hover,
  &:hover:visited:not([href^='#']) {
    color: var(--b2b-color-accent-4);
  }
}
.nav {
  flex: 1;
  display: flex;
  flex-direction: column;
  grid-row-gap: 1rem;
  padding: 1rem 0;
}

.row {
  display: flex;
  align-items: center;
  grid-column-gap: 0.625rem;
}
</style>